unit Acidente;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBGrids, DBTables, Grids, ExtCtrls;

type
  TAcidenteForm = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator: TDBNavigator;
    Panel1: TPanel;
    DataSource1: TDataSource;
    Panel2: TPanel;
    AcidenteTbl: TTable;
    AuxFilTbl: TTable;
    AuxFilTblNumero: TIntegerField;
    AcidenteTblNumero: TIntegerField;
    AcidenteTblData: TDateTimeField;
    AcidenteTblLocal: TStringField;
    AcidenteTblCausa: TStringField;
    AcidenteTblDataAlta: TDateField;
    procedure FormCreate(Sender: TObject);
    procedure AcidenteTblNewRecord(DataSet: TDataset);
    procedure AcidenteTblBeforePost(DataSet: TDataset);
    procedure FormDeactivate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  AcidenteForm: TAcidenteForm;

implementation

{$R *.DFM}

procedure TAcidenteForm.FormCreate(Sender: TObject);
begin
AcidenteTbl.DisableControls;
Try
AuxFilTbl.Open;
auxFilTbl.First;
AcidenteTbl.Open;
AcidenteTbl.First;
AcidenteTbl.SetRangeStart;
AcidenteTblNumero.value:=AuxFilTblNumero.value;
AcidenteTbl.SetRangeEnd;
AcidenteTblNumero.value:=AuxFilTblNumero.value;
AcidenteTbl.KeyFieldCount := 1;
AcidenteTbl.ApplyRange;
finally
AcidenteTbl.EnableControls;

end;
end;

procedure TAcidenteForm.AcidenteTblNewRecord(DataSet: TDataset);
begin
AcidenteTblData.value:=now;
end;

procedure TAcidenteForm.AcidenteTblBeforePost(DataSet: TDataset);
begin
AcidenteTblNumero.value:=AuxFilTblNumero.value;
end;

procedure TAcidenteForm.FormDeactivate(Sender: TObject);
begin
AcidenteTbl.CancelRange;
AcidenteTbl.Close;
AuxFilTbl.Close;
AcidenteForm.Release;
end;

end.
