unit Ajuste;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Grids, DBGrids, Buttons, DBCtrls,
  DBTables, DB, Mask,Ajushlp;

type
  TAjusteForm = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Panel3: TPanel;
    Label2: TLabel;
    ComboBox1: TComboBox;
    Label3: TLabel;
    MaskEdit1: TMaskEdit;
    Panel4: TPanel;
    MesTbl: TTable;
    MesSrc: TDataSource;
    DBText1: TDBText;
    Cadastro2Src: TDataSource;
    Label6: TLabel;
    CancelBtn: TBitBtn;
    OKBtn: TBitBtn;
    Edit1: TEdit;
    MesTblNumero: TIntegerField;
    MesTblMes: TSmallintField;
    MesTblAno: TIntegerField;
    MesTblAjustes: TCurrencyField;
    Cadastro2Tbl: TTable;
    Cadastro2TblNumero: TIntegerField;
    Cadastro2TblNome: TStringField;
    Panel2: TPanel;
    DBEdit1: TDBEdit;
    Label4: TLabel;
    Saa: TLabel;
    Label7: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    DBEdit6: TDBEdit;
    MesTblSalarioBase: TCurrencyField;
    MesTblTipo: TSmallintField;
    MesTblQtde: TFloatField;
    MesTblDespMed: TCurrencyField;
    MesTblSalLiq: TCurrencyField;
    MesTblSalContr: TCurrencyField;
    MesTblFilhos: TSmallintField;
    MesTblINSS: TCurrencyField;
    MesTblIR: TCurrencyField;
    MesTblExcesso: TCurrencyField;
    MesTblIRCalculo: TCurrencyField;
    MesTblTotCred: TCurrencyField;
    MesTblTotDeb: TCurrencyField;
    MesTblAjusteAnte: TCurrencyField;
    Label5: TLabel;
    Label8: TLabel;
    DBEdit7: TDBEdit;
    DBEdit8: TDBEdit;
    BitBtn1: TBitBtn;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormActivate(Sender: TObject);
    procedure ComboBox1Exit(Sender: TObject);
    procedure MaskEdit1Exit(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Edit1Exit(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure MaskEdit1KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit8Exit(Sender: TObject);
    procedure OKBtnExit(Sender: TObject);
    procedure CancelBtnExit(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AjusteForm: TAjusteForm;

implementation

{$R *.DFM}
var mes,ano : Integer;

procedure TAjusteForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
MesTbl.Close;
Cadastro2Tbl.Close;
AjusteForm.Release;
end;

procedure TAjusteForm.FormActivate(Sender: TObject);
begin
ComboBox1.SetFocus;
end;

procedure TAjusteForm.ComboBox1Exit(Sender: TObject);
begin
If ComboBox1.text = '' then
begin
MessageDlg(' necessrio escolher o ms'
  ,mterror,[mbOK], 0);
  abort;
end;
end;

procedure TAjusteForm.MaskEdit1Exit(Sender: TObject);
begin {a}
If maskEdit1.Text = '' then
begin {b}
MessageDlg(' necessrio especificar o ano'
  ,mterror,[mbOK], 0);
  abort;
end   {b}
else
begin {b}
Panel4.Enabled:=True;
If ComboBox1.ItemIndex = 0 then  mes:=1; ;
If ComboBox1.ItemIndex = 1 then  mes:=2;
If ComboBox1.ItemIndex = 2 then  mes:=3; ;
If ComboBox1.ItemIndex = 3 then  mes:=4;
If ComboBox1.ItemIndex = 4 then  mes:=5; ;
If ComboBox1.ItemIndex = 5 then  mes:=6;
If ComboBox1.ItemIndex = 6 then  mes:=7; ;
If ComboBox1.ItemIndex = 7 then  mes:=8; ;
If ComboBox1.ItemIndex = 8 then  mes:=9;
If ComboBox1.ItemIndex = 9 then  mes:=10; ;
If ComboBox1.ItemIndex = 10 then  mes:=11;
If ComboBox1.ItemIndex = 11 then  mes:=12;
If ComboBox1.ItemIndex = 12 then  mes:=13;
If ComboBox1.ItemIndex = 13 then  mes:=14;

ano :=StrToInt(MaskEdit1.Text);
Edit1.SetFocus;

end;{b}





end;  {a}

procedure TAjusteForm.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9']) then
          Key := #0;
end;

procedure TAjusteForm.Edit1Exit(Sender: TObject);
begin {a}
MesTbl.DisableControls;
Cadastro2Tbl.DisableControls;
Try   {b}
MesTbl.Open;
Cadastro2Tbl.Open;

if edit1.text = '' then
begin
Combobox1.setfocus;
MesTbl.Close;
Cadastro2Tbl.Close;
abort;
end;

If not Cadastro2Tbl.Findkey([StrToInt(Edit1.text)]) then
begin
MessageDlg('No existe registro para o funcionrio com o nmero '
+edit1.text+ ' !',
  mterror,[mbOK], 0);
edit1.text:='';
MesTbl.Close;
cadastro2Tbl.Close;
  abort;
end
else Cadastro2Tbl.GotoKey;

If MesTbl.Findkey([StrToInt(Edit1.text),Mes,ano]) then
Begin
MesTbl.GoToKey;
MesTbl.Edit;
end
else MesTbl.Insert;

MesTblNumero.value:=StrtoInt(Edit1.text);
MesTblMes.value:=Mes;
MesTblAno.value:=ano;
DBEdit1.SetFocus;

finally  {b}
MesTbl.EnableControls;
Cadastro2Tbl.EnableControls;
end; {b}

end; {a}

procedure TAjusteForm.OKBtnClick(Sender: TObject);
begin {a}
MesTbl.DisableControls;
Cadastro2Tbl.DisableControls;
Try   {b}
MesTbl.Post;
Edit1.text:='';
Edit1.SetFocus;
MesTbl.Close;
Cadastro2Tbl.Close;
finally
MesTbl.EnableControls;
Cadastro2Tbl.EnableControls;
end;
end;

procedure TAjusteForm.CancelBtnClick(Sender: TObject);
begin {a}
MesTbl.DisableControls;
Cadastro2Tbl.DisableControls;
Try   {b}
Edit1.text:='';
Edit1.SetFocus;
MesTbl.Close;
Cadastro2Tbl.Close;
finally
MesTbl.EnableControls;
Cadastro2Tbl.EnableControls;
end;
end;

procedure TAjusteForm.MaskEdit1KeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9']) then
          Key := #0;
end;

procedure TAjusteForm.DBEdit8Exit(Sender: TObject);
begin
OKBtn.SetFocus;
end;

procedure TAjusteForm.OKBtnExit(Sender: TObject);
begin
cancelBtn.SetFocus ;
end;

procedure TAjusteForm.CancelBtnExit(Sender: TObject);
begin
DBEdit1.SetFocus;
end;

procedure TAjusteForm.BitBtn1Click(Sender: TObject);
begin
Application.CreateForm(TAjushlpForm, AjushlpForm);
AjushlpForm.ShowModal;
end;

procedure TAjusteForm.BitBtn1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
Application.CreateForm(TAjushlpForm, AjushlpForm);
AjushlpForm.ShowModal;
end;

end.
