unit Eventos;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Mask, DBCtrls, StdCtrls, DB, DBTables, Buttons, ExtCtrls,evenvis;

type
  TEventosForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Novo: TBitBtn;
    Alterar: TBitBtn;
    Consultar: TBitBtn;
    Excluir: TBitBtn;
    cancelar: TBitBtn;
    OK: TBitBtn;
    Memo: TBitBtn;
    Visualizar: TBitBtn;
    Relatorios: TSpeedButton;
    Edit1: TEdit;
    EventosTbl: TTable;
    EventosSrc: TDataSource;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Des: TLabel;
    Panel4: TPanel;
    DBEdit3: TDBEdit;
    Label3: TLabel;
    io: TLabel;
    DBRadioGroup1: TDBRadioGroup;
    EventosTblCodigo: TIntegerField;
    EventosTblDesc: TStringField;
    EventosTblDependeHoras: TBooleanField;
    EventosTblINSS: TBooleanField;
    EventosTblIRF: TBooleanField;
    EventosTblFGTS: TBooleanField;
    EventosTblRAIS: TBooleanField;
    EventosTblDecTerc: TBooleanField;
    EventosTblHE: TBooleanField;
    EventosTblFerias: TBooleanField;
    EventosTblValor: TCurrencyField;
    EventosTblPorc: TFloatField;
    EventosTblIncidencia: TSmallintField;
    DBRadioGroup3: TDBRadioGroup;
    EventosTblTipo: TBooleanField;
    EventosTblSalContr: TSmallintField;
    DBRadioGroup4: TDBRadioGroup;
    DBRadioGroup2: TDBRadioGroup;
    EventosTblFuncao: TSmallintField;
    DBEdit2: TDBEdit;
    Label2: TLabel;
    DBRadioGroup5: TDBRadioGroup;
    EventosTblContabilizar: TSmallintField;
    procedure NovoClick(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
    procedure AlterarClick(Sender: TObject);
    procedure ConsultarClick(Sender: TObject);
    procedure ExcluirClick(Sender: TObject);
    procedure cancelarClick(Sender: TObject);
    procedure OKClick(Sender: TObject);
    procedure DBEdit3Exit(Sender: TObject);
    procedure VisualizarClick(Sender: TObject);
    procedure DBRadioGroup4Exit(Sender: TObject);
    procedure EventosTblNewRecord(DataSet: TDataset);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure DBEdit3KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit2KeyPress(Sender: TObject; var Key: Char);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EventosForm: TEventosForm;

implementation

{$R *.DFM}

procedure TEventosForm.NovoClick(Sender: TObject);
begin
Novo.Enabled:=false;
Alterar.Enabled:=False;
Consultar.Enabled:=False;
Excluir.Enabled:=False;
OK.Enabled:=False;
Cancelar.Enabled:=true;
Memo.Enabled:=False;
Visualizar.Enabled:=False;
Relatorios.Enabled:=False;
Edit1.Enabled:=True;
Edit1.SetFocus;
label3.visible:=false;
DBEDit3.visible:=false;
io.visible:=false;
label2.visible:=false;
DBEdit2.visible:=false;

end;

procedure TEventosForm.Edit1Exit(Sender: TObject);
var ADate : Integer;
begin
EventosTbl.DisableControls;
Try {bbb}
try
  ADate := StrToInt(Edit1.Text);
except on  EConvertError do
begin
 MessageDlg('Somente nmeros nesse campo ! '
  ,mterror,[mbOK], 0);
Edit1.selectAll;
Edit1.SetFocus;
end;
end;

EventosTbl.Open;
If EventosTbl.Findkey([StrToInt(Edit1.text)]) then
begin   {a}
MessageDlg('Esse nmero j existe', mterror, [mbOK], 0);
CancelarClick(Sender)   ;
end {a}
else
begin {a}
EventosTbl.Insert;
EventosTblCodigo.value:=StrToInT(Edit1.Text);
OK.Enabled:=true;
end; {a}

finally {bbb}
EventosTbl.EnableControls;

end; {bbb}
end;

procedure TEventosForm.AlterarClick(Sender: TObject);
var Clientnu: string;
clickedOK1 : boolean;
adate : Integer;
begin
EventosTbl.DisableControls;

try
Edit1.Text:='';
clientnu:='';
ClickedOK1:= Inputquery('Eventos', 'Digite o Nmero do Evento', Clientnu);
if ClickedOK1 then
begin
try
  ADate := StrToInt(clientnu);
except on  EConvertError do
begin
 MessageDlg('Somente nmeros nesse campo ! '
  ,mterror,[mbOK], 0);
abort;
end;
end;
EventosTbl.Open;
EventosTbl.Edit;
if EventosTbl.Findkey([StrToInt(Clientnu)]) then
begin
EventosTbl.Gotokey;
EventosTbl.edit;
Edit1.Text:=EventosTblCodigo.AsString;
Edit1.Enabled:=False;
Novo.Enabled:=false;
Alterar.Enabled:=False;
Consultar.Enabled:=False;
Excluir.Enabled:=False;
OK.Enabled:=True;
Cancelar.Enabled:=true;
Memo.Enabled:=False;
Visualizar.Enabled:=False;
Relatorios.Enabled:=False;
DBRadioGroup4Exit(Sender);


end;

if not  EventosTbl.Findkey([clientnu]) then
begin
MessageDlg('Nmero no disponvel', mterror, [mbOK], 0);
EventosTbl.Close;
Novo.Enabled:=true;
Alterar.Enabled:=true;
Consultar.Enabled:=true;
Excluir.Enabled:=true;
OK.Enabled:=False;
Cancelar.Enabled:=False;
Memo.Enabled:=true;
Visualizar.Enabled:=true;
Relatorios.Enabled:=true;
abort;

end;
end
else
begin
abort;
end;
finally
EventosTbl.EnableControls;

end;
end;

procedure TEventosForm.ConsultarClick(Sender: TObject);
var Clientnu: string;
clickedOK1 : boolean;
adate : Integer;
begin
EventosTbl.DisableControls;

try
edit1.text:='';
clientnu:='';
ClickedOK1:= Inputquery('Eventos', 'Digite o Nmero do Evento', Clientnu);
if ClickedOK1 then
begin
try
  ADate := StrToInt(clientnu);
except on  EConvertError do
begin
 MessageDlg('Somente nmeros nesse campo ! '
  ,mterror,[mbOK], 0);
abort;
end;
end;
EventosTbl.Open;
if   EventosTbl.Findkey([Clientnu]) then
begin
EventosTbl.Gotokey;
EventosTbl.edit;
Edit1.Text:=EventosTblCodigo.AsString;
Edit1.Enabled:=False;
Novo.Enabled:=false;
Alterar.Enabled:=False;
Consultar.Enabled:=False;
Excluir.Enabled:=False;
OK.Enabled:=False;
Cancelar.Enabled:=true;
Memo.Enabled:=False;
Visualizar.Enabled:=False;
Relatorios.Enabled:=False;
DBRadioGroup4Exit(Sender);

end;

if not  EventosTbl.Findkey([clientnu]) then
begin
MessageDlg('Nmero no disponvel', mterror, [mbOK], 0);
EventosTbl.Close;
Novo.Enabled:=true;
Alterar.Enabled:=true;
Consultar.Enabled:=true;
Excluir.Enabled:=true;
OK.Enabled:=False;
Cancelar.Enabled:=False;
Memo.Enabled:=true;
Visualizar.Enabled:=true;
Relatorios.Enabled:=true;
abort;

end;
end
else
begin
abort;
end;
finally
EventosTbl.EnableControls;
end;
end;

procedure TEventosForm.ExcluirClick(Sender: TObject);
var Clientnu: string;
clickedOK1: boolean;
adate: Integer;
begin
EventosTbl.DisableControls;
try
edit1.text:='';
EventosTbl.Open;
clientnu:='';
ClickedOK1:= Inputquery('Eventos', 'Digite o Nmero do Evento', Clientnu);
if ClickedOK1 then
begin
try
ADate := StrToInt(clientnu);
except on  EConvertError do
begin
 MessageDlg('Somente nmeros nesse campo ! '
  ,mterror,[mbOK], 0);
abort;
end;
end;

if not  EventosTbl.Findkey([clientnu]) then
begin
MessageDlg('Nmero no disponvel', mtInformation, [mbOK], 0);
EventosTbl.close;
abort;

end;
if EventosTbl.Findkey([clientnu]) then
begin
EventosTbl.edit;
EventosTbl.EnableControls;
Edit1.Text:=clientnu;
Edit1.Enabled:=False;
Novo.Enabled:=false;
Alterar.Enabled:=False;
Consultar.Enabled:=False;
Excluir.Enabled:=False;
OK.Enabled:=False;
Cancelar.Enabled:=true;
Memo.Enabled:=False;
Visualizar.Enabled:=False;
Relatorios.Enabled:=False;
DBRadioGroup4Exit(Sender);

if MessageDlg('Excluir esse Registro :',mtConfirmation,mbOKCancel,0) = mrOK then
Begin
EventosTbl.Delete;
Novo.Enabled:=true;
Alterar.Enabled:=true;
Consultar.Enabled:=true;
Excluir.Enabled:=true;
OK.Enabled:=False;
Cancelar.Enabled:=False;
Memo.Enabled:=true;
Visualizar.Enabled:=true;
Relatorios.Enabled:=true;
end;
end;
end
else
begin
EventosTbl.close;
edit1.text:='';
abort;
end;
finally
edit1.text:='';
EventosTbl.Close;
EventosTbl.EnableControls;
cancelarClick(Sender);
end;
end;

procedure TEventosForm.cancelarClick(Sender: TObject);
begin
Edit1.Text:='';
Edit1.Enabled:=False;
EventosTbl.Close;
Novo.Enabled:=true;
Alterar.Enabled:=true;
Consultar.Enabled:=true;
Excluir.Enabled:=true;
OK.Enabled:=False;
Cancelar.Enabled:=False;
Memo.Enabled:=true;
Visualizar.Enabled:=true;
Relatorios.Enabled:=true;
label3.visible:=false;
DBEDit3.visible:=false;
io.visible:=false;
label2.visible:=false;
DBEdit2.visible:=false;

end;

procedure TEventosForm.OKClick(Sender: TObject);
begin
EventosTbl.Edit;
EventosTbl.Post;
EventosTbl.Close;
Edit1.Text:='';
Edit1.Enabled:=False;
Novo.Enabled:=true;
Alterar.Enabled:=true;
Consultar.Enabled:=true;
Excluir.Enabled:=true;
OK.Enabled:=False;
Cancelar.Enabled:=False;
Memo.Enabled:=true;
Visualizar.Enabled:=true;
Relatorios.Enabled:=true;
label3.visible:=false;
DBEDit3.visible:=false;
io.visible:=false;
label2.visible:=false;
DBEdit2.visible:=false;
end;

procedure TEventosForm.DBEdit3Exit(Sender: TObject);
begin

DBRadioGroup3.setfocus;
end;

procedure TEventosForm.VisualizarClick(Sender: TObject);
begin
Application.CreateForm(TEvenVisForm, EvenVisForm);
EvenVisForm.Visible:=true;
end;

procedure TEventosForm.DBRadioGroup4Exit(Sender: TObject);
begin

If EventosTblFuncao.value = 1 then
begin
label3.visible:=true;
DBEDit3.visible:=true;
io.visible:=true;
label2.visible:=false;
DBEdit2.visible:=false;
EventosTblvalor.value:=0;
DBEDit3.SetFocus;
end;

If EventosTblFuncao.value = 2 then
begin
label3.visible:=false;
DBEDit3.visible:=false;
io.visible:=false;
label2.visible:=false;
DBEdit2.visible:=false;
end;

If EventosTblFuncao.value = 3 then
begin
label3.visible:=false;
DBEDit3.visible:=false;
io.visible:=false;
label2.visible:=false;
DBEdit2.visible:=false;
end;

If EventosTblFuncao.value = 4 then
begin
label3.visible:=false;
DBEDit3.visible:=false;
io.visible:=false;
label2.visible:=true;
DBEdit2.visible:=true;
EventosTblporc.value:=0;
DBEdit2.SetFocus;
end;

If EventosTblFuncao.value = 5 then
begin
label3.visible:=false;
DBEDit3.visible:=false;
io.visible:=false;
label2.visible:=false;
DBEdit2.visible:=false;
end;



end;

procedure TEventosForm.EventosTblNewRecord(DataSet: TDataset);
begin
EventosTblIncidencia.value:=1;
EventosTblSalContr.value:=1;
EventosTblFuncao.value:=1;
EventosTblContabilizar.value:=1;
EventosTblTipo.value:=true;

end;

procedure TEventosForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
EventosTbl.Close;
EventosForm.Release;
end;

procedure TEventosForm.DBEdit3KeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9',',','-']) then
          Key := #0;
end;

procedure TEventosForm.DBEdit2KeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9',',','-']) then
          Key := #0;
end;

procedure TEventosForm.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9']) then
          Key := #0;
end;

end.
