unit Filhos;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBTables, Grids, DBGrids, ExtCtrls;

type
  TFilhosForm = class(TForm)
    ScrollBox: TScrollBox;
    AuxFilSrc: TDataSource;
    Panel2: TPanel;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    FilhosTbl: TTable;
    FilhosSrc: TDataSource;
    FilhosTblNumero: TIntegerField;
    FilhosTblNome: TStringField;
    FilhosTblData: TDateField;
    AuxFilTbl: TTable;
    AuxFilTblNumero: TIntegerField;
    procedure FormDeactivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FilhosTblBeforePost(DataSet: TDataset);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FilhosForm: TFilhosForm;

implementation

{$R *.DFM}

procedure TFilhosForm.FormDeactivate(Sender: TObject);
begin
FilhosTbl.cancelRange;
FilhosTbl.Close;
AuxFilTbl.Close;
FilhosForm.Release;
end;

procedure TFilhosForm.FormCreate(Sender: TObject);
begin
FilhosTbl.DisableControls;
Try
AuxFilTbl.Open;
auxFilTbl.First;
FilhosTbl.Open;
FilhosTbl.First;
FilhosTbl.SetRangeStart;
FilhosTblNumero.value:=AuxFilTblNumero.value;
FilhosTbl.SetRangeEnd;
FilhosTblNumero.value:=AuxFilTblNumero.value;
FilhosTbl.KeyFieldCount := 1;
FilhosTbl.ApplyRange;
finally
FilhosTbl.EnableControls;
end;
end;

procedure TFilhosForm.FilhosTblBeforePost(DataSet: TDataset);
begin
FilhosTblNumero.value:=AuxFilTblNumero.value;
end;

end.