unit Ir;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Dialogs, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBGrids, DBTables, Grids, ExtCtrls, Buttons,
  Mask;

type
  TIRForm = class(TForm)
    Panel1: TPanel;
    IrSrc: TDataSource;
    Panel2: TPanel;
    IRTbl: TTable;
    BitBtn1: TBitBtn;
    DBNavigator1: TDBNavigator;
    IRTblCodigo: TSmallintField;
    IRTblSalInic: TCurrencyField;
    IRTblSalFim: TCurrencyField;
    IRTblAliquota: TFloatField;
    IRTblValor: TCurrencyField;
    Panel3: TPanel;
    Panel4: TPanel;
    DBGrid1: TDBGrid;
    IrDepTbl: TTable;
    IrdepSrc: TDataSource;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure IRTblBeforePost(DataSet: TDataset);
    procedure DBEdit1Exit(Sender: TObject);
    procedure DBEdit2Exit(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  IRForm: TIRForm;

implementation

{$R *.DFM}

procedure TIRForm.FormCreate(Sender: TObject);
begin
  IRTbl.Open;
  IrDepTbl.open;
  If IrDepTbl.EOF then IrDepTbl.Insert else
  begin
  IrdepTbl.First;
  IrdepTbl.Edit;

  end;
end;

procedure TIRForm.BitBtn1Click(Sender: TObject);
begin
 MessageDlg('Cada cdigo corresponde a uma faixa ' +
 'de salrio de acordo com o publicado no jornal . ' +
 'Pode-se alterar a vontade as faixas de salrios e as alquotas correspondentes. ' +
 'Caso no preencha o Salrio At, ser colocado o valor de R$ 500.000,00 ! '
  ,mtinformation,[mbOK], 0);
end;

procedure TIRForm.FormDeactivate(Sender: TObject);
begin
IrTbl.Close;
Irdeptbl.close;
IrForm.Release;
end;

procedure TIRForm.IRTblBeforePost(DataSet: TDataset);
begin
if IRTblSalFim.value = 0 then IRTblSalFim.value:= 500000;
end;

procedure TIRForm.DBEdit1Exit(Sender: TObject);
begin
IrDepTbl.Edit;
IrDepTbl.Post;
end;

procedure TIRForm.DBEdit2Exit(Sender: TObject);
begin
IrDepTbl.Edit;
IrDepTbl.Post;
end;

end.