unit Memo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, DBCtrls, Buttons, DBTables, DB, Grids, DBGrids,
  ExtCtrls;

type
  TMemoForm = class(TForm)
    MemoTbl: TTable;
    AuxFilTbl: TTable;
    MemoSrc: TDataSource;
    AuxFilSrc: TDataSource;
    Panel1: TPanel;
    Panel2: TPanel;
    DBGrid1: TDBGrid;
    MemoTblNumero: TIntegerField;
    MemoTblData: TDateTimeField;
    MemoTblMemo: TStringField;
    Memo2Tbl: TTable;
    Memo2Src: TDataSource;
    Novo: TBitBtn;
    BitBtn1: TBitBtn;
    D: TLabel;
    DBMemo1: TDBMemo;
    AuxFilTblNumero: TIntegerField;
    Memo2TblNumero: TIntegerField;
    Memo2TblData: TDateTimeField;
    Memo2TblMemo: TStringField;
    procedure FormDeactivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure NovoClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MemoForm: TMemoForm;

implementation

{$R *.DFM}

procedure TMemoForm.FormDeactivate(Sender: TObject);
begin
MemoTbl.Close;
MemoForm.Release;
end;

procedure TMemoForm.FormCreate(Sender: TObject);
begin
MemoTbl.DisableControls;
Try
AuxFilTbl.Open;
auxFilTbl.First;
MemoTbl.Open;
MemoTbl.First;
MemoTbl.SetRangeStart;
MemoTblNumero.value:=AuxFilTblNumero.value;
MemoTbl.SetRangeEnd;
MemoTblNumero.value:=AuxFilTblNumero.value;
MemoTbl.KeyFieldCount := 1;
MemoTbl.ApplyRange;

finally
MemoTbl.EnableControls;
end;
end;


procedure TMemoForm.NovoClick(Sender: TObject);
begin
Memo2Tbl.DisableControls;
Try
D.Visible:=True;
DbMemo1.visible:=True;
Memo2Tbl.Open;
Memo2Tbl.Insert;
Memo2TblNumero.value:= AuxFilTblNumero.value;
Memo2TblData.value:=now;

finally
Memo2Tbl.EnableControls;
DBMemo1.SetFocus;
end;

end;

procedure TMemoForm.BitBtn1Click(Sender: TObject);
begin

If DBMemo1.visible = false then
begin
MessageDlg('Clique NOVO inicialmente !', mterror, [mbOK], 0);
abort;
end;


If DBMemo1.text = '' then
begin
MessageDlg('Deve-se preencher o campo de observaes', mterror, [mbOK], 0);
abort;
end;
Memo2Tbl.Post;
Memo2Tbl.Close;
D.Visible:=False;
DbMemo1.visible:=False;

begin
MemoTbl.DisableControls;
Try
auxFilTbl.First;
MemoTbl.First;
MemoTbl.SetRangeStart;
MemoTblNumero.value:=AuxFilTblNumero.value;
MemoTbl.SetRangeEnd;
MemoTblNumero.value:=AuxFilTblNumero.value;
MemoTbl.KeyFieldCount := 1;
MemoTbl.ApplyRange;
finally
MemoTbl.EnableControls;
end;
end;




end;

end.
