unit Transp;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBGrids, DBTables, Grids, ExtCtrls,dialogs,
  Buttons;

type
  TTranspForm = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator: TDBNavigator;
    Panel1: TPanel;
    DataSource1: TDataSource;
    Panel2: TPanel;
    Table1: TTable;
    Table1ValeTrans: TSmallintField;
    Table1Desc: TStringField;
    Table1Valor: TCurrencyField;
    Table1Porc: TFloatField;
    cadastroTbl: TTable;
    cadastroTblNumero: TIntegerField;
    cadastroTblValeTrans: TSmallintField;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure Table1BeforeDelete(DataSet: TDataset);
    procedure BitBtn1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  TranspForm: TTranspForm;

implementation

{$R *.DFM}

procedure TTranspForm.FormCreate(Sender: TObject);
begin
  Table1.Open;
end;

procedure TTranspForm.FormDeactivate(Sender: TObject);
begin
Table1.Close;
CadastroTbl.Close;
TranspForm.Release;
end;

procedure TTranspForm.Table1BeforeDelete(DataSet: TDataset);
begin
cadastroTbl.Open;
cadastroTbl.First;
While not CadastroTbl.EOF do
begin
If CadastroTblValeTrans.value = Table1ValeTrans.value then
begin
MessageDlg('No  possvel deletar o cdigo ' +Table1ValeTrans.AsString+
' . Este cdigo est sendo utilizado no funcionrio No. ' +CadastroTblNumero.AsString+ ' !',mterror,[mbOK], 0);
CadastroTbl.Close;
abort;
end;
CadastroTbl.Next;
end;
CadastroTbl.Close;
end;

procedure TTranspForm.BitBtn1Click(Sender: TObject);
begin
 MessageDlg('Para cada combinao de transportes ' +
 'utilize um cdigo novo . ' +
 'Ex : 15 - 2 Onibus Munic + Metro - R$ 2.30 '
  ,mtinformation,[mbOK], 0);
end;

end.