unit Vismes;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons, Grids, DBGrids, DB, DBTables,
  DBCtrls;

type
  TVisMesForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Edit3: TEdit;
    Edit4: TEdit;
    Label12: TLabel;
    Label13: TLabel;
    Label7: TLabel;
    Label2: TLabel;
    OK: TBitBtn;
    cancelar: TBitBtn;
    BitBtn1: TBitBtn;
    Panel5: TPanel;
    Query1: TQuery;
    Query1SRc: TDataSource;
    DBGrid1: TDBGrid;
    Query1Mes: TSmallintField;
    Query1Ano: TIntegerField;
    Query1SalarioBase: TCurrencyField;
    Query1DespMed: TCurrencyField;
    Query1SalLiq: TCurrencyField;
    Query1SalContr: TCurrencyField;
    Query1INSS: TCurrencyField;
    Query1IR: TCurrencyField;
    Query1Ajustes: TCurrencyField;
    Query1Funcion: TIntegerField;
    Query1Excesso: TCurrencyField;
    Query1IRCalculo: TCurrencyField;
    Edit2: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Label1: TLabel;
    Query2Src: TDataSource;
    DBGrid2: TDBGrid;
    Query2: TQuery;
    Query2Mes: TSmallintField;
    Query2Ano: TIntegerField;
    Query2Evento: TIntegerField;
    Query2Total: TCurrencyField;
    Query2Credito: TCurrencyField;
    Query2Debito: TCurrencyField;
    EventosTbl: TTable;
    EventosSrc: TDataSource;
    DBText1: TDBText;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Edit1: TEdit;
    Edit9: TEdit;
    Edit10: TEdit;
    procedure OKClick(Sender: TObject);
    procedure cancelarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  VisMesForm: TVisMesForm;

implementation

{$R *.DFM}

procedure TVisMesForm.OKClick(Sender: TObject);
var mesini,mesfim,repx,nfx,J: Integer;
salbase,salliq,salcon,inss,ir,total,credito,debito : single;
begin
Query1.DisableControls;
Query2.DisableControls;
try

if Edit3.Text = '' then
begin
 MessageDlg('Deve-se Digitar o ano de incio  ! '
  ,mterror,[mbOK], 0);
  abort;
end;

if Edit4.Text = '' then
begin
 MessageDlg('Deve-se Digitar o ano final  ! '
  ,mterror,[mbOK], 0);
  abort;
end;

Query1.Close;
J:=0;

repx:=StrToInt(Edit3.Text);
Query1.SQL.Add('where ano >=:repx');
Query1.Params[J].AsInteger:=repx;
J:=J + 1;

If Edit4.Text <> '' then
begin
NFx:=StrToInt(Edit4.Text);
Query1.SQL.Add('and ano <=:NFx');
Query1.Params[J].AsInteger:=NFx;
J:=J + 1;
end;


Query1.SQL.Add('Order by Ano,Mes');


 salbase:=0;
 salliq:=0;
 salcon:=0;
 inss:=0;
 ir:=0;
Query1.Open;

Query1.First;
While not query1.EOF do
Begin
Salbase:=salbase + Query1SalarioBase.value;
SalLiq:=salLiq + Query1SalLiq.value;
SalCon:=salcon + Query1SalContr.value;
INSS:=INSS + Query1INSS.value;
IR:=IR + Query1IR.value;
Query1.Next;
end;

Query2.Open;
Query2.First;
total:=0;
credito:=0;
debito:=0;
While not query2.EOF do
Begin
total:=total + Query2total.value;
credito:=credito + Query2credito.value;
debito:=debito + Query2debito.value;
Query2.Next;
end;



EventosTbl.Open;

finally
Query1.EnableControls;
Query2.EnableControls;

Edit2.Text:=format('%10.2m',[SalBase]);
Edit5.Text:=format('%10.2m',[SalLiq]);
Edit6.Text:=format('%10.2m',[SalCon]);
Edit7.Text:=format('%10.2m',[INSS]);
Edit8.Text:=format('%10.2m',[IR]);

Edit1.Text:=format('%10.2m',[Total]);
Edit9.Text:=format('%10.2m',[credito]);
Edit10.Text:=format('%10.2m',[debito]);
OK.Enabled:=False;
BitBtn1.Enabled:=True;
DBGrid1.SetFocus;
J:=0;
end;
end;


procedure TVisMesForm.cancelarClick(Sender: TObject);
var i : Integer;
begin
Query1.Close;
Query2.Close;
EventosTbl.Close;

  for i := 0 to ComponentCount -1 do
     if Components[i] is TEdit then
       begin
          TEdit(Components[i]).Text := '';
       end;
       OK.Enabled:=True;
end;

procedure TVisMesForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Query1.Close;
Query2.Close;
EventosTbl.Close;
VisMesForm.Release;
end;

procedure TVisMesForm.BitBtn1Click(Sender: TObject);
begin
VisMesForm.Close;
Application.CreateForm(TVisMesForm, VisMesForm);
VisMesForm.Visible:=true;

end;

end.
