unit Cadvis;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DBTables, DB, Grids, DBGrids, DBCtrls, StdCtrls, ExtCtrls;

type
  TCadVisForm = class(TForm)
    Panel2: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    Label1: TLabel;
    DBText1: TDBText;
    Label2: TLabel;
    DBText2: TDBText;
    Query1: TQuery;
    DataSource1: TDataSource;
    AlteracSrc: TDataSource;
    cargoSrc: TDataSource;
    AlteracTbl: TTable;
    CargoTbl: TTable;
    Query1Numero: TIntegerField;
    Query1Nome: TStringField;
    Query1DataAdm: TDateField;
    Query1DataDesl: TDateField;
    AlteracTblNumero: TIntegerField;
    AlteracTblSalario: TCurrencyField;
    AlteracTblCargo: TSmallintField;
    AlteracTblData: TDateField;
    AlteracTblObs: TStringField;
    CargoTblCargo: TSmallintField;
    CargoTblDesc: TStringField;
    Alterac2Tbl: TTable;
    Alterac2TblNumero: TIntegerField;
    Alterac2TblData: TDateField;
    Alterac2TblCargo: TSmallintField;
    Alterac2TblSalario: TCurrencyField;
    Alterac2TblObs: TStringField;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure DataSource1DataChange(Sender: TObject; Field: TField);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CadVisForm: TCadVisForm;

implementation

{$R *.DFM}

procedure TCadVisForm.FormCreate(Sender: TObject);
var conta : Integer;
var total : double;
begin
Query1.DisableControls;
Try
Query1.Open;
Query1.First;
AlteracTbl.Open;
Alterac2Tbl.Open;
CargoTbl.Open;
conta:=0;
total :=0;

{ somatoria do numero dos func ativos e dos sal bases  - utiliza-se a data
de desligamento para saber se o funcionario e ativo ou nao}
While not Query1.EOF do
begin {a}
If Query1DataDesl.Asstring = '' then
begin {b}
Alterac2Tbl.SetRangeStart;
Alterac2TblNumero.value:=Query1Numero.value;
Alterac2Tbl.SetRangeEnd;
Alterac2TblNumero.value:=Query1Numero.value;
Alterac2Tbl.KeyFieldCount := 1;
Alterac2Tbl.ApplyRange;
Alterac2Tbl.Last;
Total:= Total + Alterac2TblSalario.value;
conta:=conta +1;
Alterac2Tbl.CancelRange;
end; {b}
Query1.Next;
end; {a}
Edit1.Text:=IntToStr(conta);
Edit2.Text:= format('%10.2m',[(Total)]);
Query1.First;


Finally
Query1.EnableControls;
end;
end;

procedure TCadVisForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Query1.Close;
AlteracTbl.Close;
CargoTbl.Open;
CadVisForm.Release;
end;

procedure TCadVisForm.DataSource1DataChange(Sender: TObject;
  Field: TField);
begin
{AlteracTbl.DisableControls;
CargoTbl.DisableControls;   }
Try
AlteracTbl.Open;
CargoTbl.Open;
AlteracTbl.SetRangeStart;
AlteracTblNumero.value:=Query1Numero.value;
AlteracTbl.SetRangeEnd;
AlteracTblNumero.value:=Query1Numero.value;
AlteracTbl.KeyFieldCount := 1;
AlteracTbl.ApplyRange;
AlteracTbl.Last;
AlteracTbl.CancelRange;
Finally
{AlteracTbl.EnableControls;
CargoTbl.EnableControls;   }
end;
end;


procedure TCadVisForm.FormActivate(Sender: TObject);
begin
DbGrid1.SetFocus;
end;

end.
