unit Evenvis;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBGrids, DBTables, Grids, ExtCtrls;

type
  TEvenVisForm = class(TForm)
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    Panel2: TPanel;
    EventosTbl: TTable;
    EventosTblCodigo: TIntegerField;
    EventosTblDesc: TStringField;
    EventosTblTipo: TBooleanField;
    EventosTblDependeHoras: TBooleanField;
    EventosTblINSS: TBooleanField;
    EventosTblIRF: TBooleanField;
    EventosTblFGTS: TBooleanField;
    EventosTblRAIS: TBooleanField;
    EventosTblDecTerc: TBooleanField;
    EventosTblHE: TBooleanField;
    EventosTblPorc: TFloatField;
    EventosTblIncidencia: TSmallintField;
    EventosTblSalContr: TSmallintField;
    EventosTblFuncao: TSmallintField;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure DataSource1DataChange(Sender: TObject; Field: TField);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  EvenVisForm: TEvenVisForm;

implementation

{$R *.DFM}

procedure TEvenVisForm.FormCreate(Sender: TObject);
begin
  EventosTbl.Open;
end;

procedure TEvenVisForm.FormDeactivate(Sender: TObject);
begin
EventosTbl.Close;
EvenVisForm.Release;
end;

procedure TEvenVisForm.DataSource1DataChange(Sender: TObject;
  Field: TField);
begin
Edit1.text:='';
edit2.text:='';
edit3.text:='';
if   EventosTblIncidencia.value = 1 Then edit1.text:= 'Dia';
if   EventosTblIncidencia.value = 2 Then edit1.text:= 'Minuto';
if   EventosTblIncidencia.value = 3 Then edit1.text:= 'Hora';
if   EventosTblIncidencia.value = 4 Then edit1.text:= 'Mes';
if   EventosTblIncidencia.value = 5 Then edit1.text:= 'Ano';
if   EventosTblIncidencia.value = 6 Then edit1.text:= 'Independe de Tempo';

if   EventosTblFuncao.value = 1 Then edit2.text:= 'Salrio Base';
if   EventosTblFuncao.value = 2 Then edit2.text:= 'Transporte';
if   EventosTblFuncao.value = 3 Then edit2.text:= 'Auxlio Famlia';
if   EventosTblFuncao.value = 4 Then edit2.text:= 'Nada';

if   EventosTblSalContr.value = 1 Then edit3.text:= 'No Participa';
if   EventosTblSalContr.value = 2 Then edit3.text:= 'Crdito';
if   EventosTblSalContr.value = 3 Then edit3.text:= 'Dbito';
if   EventosTblSalContr.value = 4 Then edit3.text:= 'Crdito - INSS adicional';

end;

end.