unit Ferias;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBGrids, DBTables, Grids, ExtCtrls;

type
  TFeriasForm = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator: TDBNavigator;
    Panel1: TPanel;
    FeriasSrc: TDataSource;
    Panel2: TPanel;
    FeriasTbl: TTable;
    FeriasTblNumero: TIntegerField;
    FeriasTblDe: TDateField;
    FeriasTblAte: TDateField;
    FeriasTblGozadaDe: TDateField;
    FeriasTblGozadaAte: TDateField;
    AuxFilTbl: TTable;
    AuxFilTblNumero: TIntegerField;
    CadastroTbl: TTable;
    CadastroTblNumero: TIntegerField;
    CadastroTblDataAdm: TDateField;
    Ferias2tbl: TTable;
    Ferias2tblNumero: TIntegerField;
    Ferias2tblDe: TDateField;
    procedure FormCreate(Sender: TObject);
    procedure FeriasTblBeforePost(DataSet: TDataset);
    procedure FormDeactivate(Sender: TObject);
    procedure FeriasTblNewRecord(DataSet: TDataset);
    procedure FeriasTblDeValidate(Sender: TField);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FeriasForm: TFeriasForm;

implementation

{$R *.DFM}

procedure TFeriasForm.FormCreate(Sender: TObject);
begin
FeriasTbl.DisableControls;
Try
AuxFilTbl.Open;
auxFilTbl.First;
FeriasTbl.Open;
FeriasTbl.First;
FeriasTbl.SetRangeStart;
FeriasTblNumero.value:=AuxFilTblNumero.value;
FeriasTbl.SetRangeEnd;
FeriasTblNumero.value:=AuxFilTblNumero.value;
FeriasTbl.KeyFieldCount := 1;
FeriasTbl.ApplyRange;
finally
FeriasTbl.EnableControls;
end;
end;

procedure TFeriasForm.FeriasTblBeforePost(DataSet: TDataset);
begin
FeriasTblNumero.value:=AuxFilTblNumero.value;
end;

procedure TFeriasForm.FormDeactivate(Sender: TObject);
begin
FeriasTbl.CancelRange;
Ferias2Tbl.Close;
AuxFilTbl.Close;
FeriasTbl.Close;
cadastroTbl.Close;
FeriasForm.Release;
end;

procedure TFeriasForm.FeriasTblNewRecord(DataSet: TDataset);
begin
CadastroTbl.Open;
Ferias2Tbl.Open;

If CadastroTbl.Findkey([AuxFilTblNumero.value]) then
begin
CadastroTbl.Gotokey;

If not Ferias2Tbl.Findkey([CadastroTblNumero.value,CadastroTblDataAdm.value]) then
begin
FeriasTblde.value:=CadastroTblDataAdm.value;
end;

end;


end;

procedure TFeriasForm.FeriasTblDeValidate(Sender: TField);
begin
FeriasTblAte.value:=FeriasTblde.value + 365 ;
end;

end.
