unit Impcad;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls,CadNum,CadVis;

type
  TImpCadForm = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    procedure CancelBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ImpCadForm: TImpCadForm;

implementation

{$R *.DFM}

procedure TImpCadForm.CancelBtnClick(Sender: TObject);
begin
Application.CreateForm(TCadVisForm, CadVisForm);
CadVisForm.Visible:=true;
ImpCadForm.Close;
end;

procedure TImpCadForm.OKBtnClick(Sender: TObject);
begin
Application.CreateForm(TCadNumForm, CadNumForm);
CadNumForm.Visible:=true;
ImpCadForm.Close;
end;

procedure TImpCadForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
ImpCadForm.Release;
end;

end.
