unit Prop;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBGrids, DBTables, Grids, ExtCtrls, Mask,
  Buttons,Dialogs;

type
  TPropForm = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator: TDBNavigator;
    Panel1: TPanel;
    PropSrc: TDataSource;
    Panel2: TPanel;
    PropTbl: TTable;
    DBGrid2: TDBGrid;
    Panel3: TPanel;
    Label1: TLabel;
    Query1Src: TDataSource;
    PropTblNumero: TSmallintField;
    PropTblNome: TStringField;
    Query1: TQuery;
    Query1Numero: TSmallintField;
    Query1Mes: TSmallintField;
    Query1Ano: TIntegerField;
    Query1Valor: TCurrencyField;
    ProLabTbl: TTable;
    ProLabSrc: TDataSource;
    Panel4: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    ProLabTblNumero: TSmallintField;
    ProLabTblMes: TSmallintField;
    ProLabTblAno: TIntegerField;
    ProLabTblValor: TCurrencyField;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    cancelar: TBitBtn;
    OK: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure DBEdit1Enter(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
    procedure Edit2Exit(Sender: TObject);
    procedure cancelarClick(Sender: TObject);
    procedure Edit3Exit(Sender: TObject);
    procedure Edit4Exit(Sender: TObject);
    procedure OKClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure PropTblBeforePost(DataSet: TDataset);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  PropForm: TPropForm;

implementation

{$R *.DFM}

procedure TPropForm.FormCreate(Sender: TObject);
begin
  PropTbl.Open;
  Query1.Open;
 
end;

procedure TPropForm.FormDeactivate(Sender: TObject);
begin
PropTbl.Close;
Query1.Close;
PropTbl.Close;
PropForm.Release;
end;

procedure TPropForm.DBEdit1Enter(Sender: TObject);
begin
ProLabTbl.Open;
ProLabTbl.Insert;
end;

procedure TPropForm.Edit1Exit(Sender: TObject);
var Adate : integer;
begin
try
  ADate := StrToInt(Edit1.Text);
except on  EConvertError do
begin
 MessageDlg('Somente nmeros nesse campo ! ',mterror,[mbOK], 0);
cancelarClick(Sender);
end;
end;

If not PropTbl.Findkey([StrToInt(Edit1.text)]) then
begin
 MessageDlg('Esse nmero no est cadastrado !'
  ,mterror,[mbOK], 0);
CancelarClick(sender);
end;
end;

procedure TPropForm.Edit2Exit(Sender: TObject);
var Adate : integer;
begin
try
  ADate := StrToInt(Edit2.Text);
except on  EConvertError do
begin
 MessageDlg('Somente nmeros nesse campo ! '
  ,mterror,[mbOK], 0);
Cancelarclick(sender);
end;
end;
If  StrToInt(Edit2.Text) < 1 then
begin
 MessageDlg('Somente nmeros entre 1 e 12 nesse campo  ! '
  ,mterror,[mbOK], 0);
Cancelarclick(sender);
end;

If  StrToInt(Edit2.Text) > 12 then
begin
 MessageDlg('Somente nmeros entre 1 e 12 nesse campo  ! '
  ,mterror,[mbOK], 0);
  abort;
end;

end;

procedure TPropForm.cancelarClick(Sender: TObject);
begin
Edit1.Text:='';
Edit2.Text:='';
Edit3.Text:='';
Edit4.Text:='';
ProLabTbl.Close;
end;

procedure TPropForm.Edit3Exit(Sender: TObject);
var Adate : integer;
begin
try
  ADate := StrToInt(Edit3.Text);
except on  EConvertError do
begin
 MessageDlg('Somente nmeros nesse campo ! '
  ,mterror,[mbOK], 0);
Cancelarclick(sender);
end;
end;
If  StrToInt(Edit3.Text) < 1990 then
begin
 MessageDlg('Somente nmeros entre 1990 e 2100 nesse campo  ! '
  ,mterror,[mbOK], 0);
Cancelarclick(sender);
end;

If  StrToInt(Edit3.Text) > 2100 then
begin
 MessageDlg('Somente nmeros entre 1990 e 2100 nesse campo  ! '
  ,mterror,[mbOK], 0);
Cancelarclick(sender);
end;

end;

procedure TPropForm.Edit4Exit(Sender: TObject);
var Adate : single;
begin
try
  ADate := StrToFloat(Edit1.Text);
except on  EConvertError do
begin
 MessageDlg('Somente nmeros nesse campo ! '
  ,mterror,[mbOK], 0);
Cancelarclick(sender);
end;
end;
end;

procedure TPropForm.OKClick(Sender: TObject);
begin
If Edit1.text = '' then
begin
 MessageDlg('Digite o nmero do scio ! '
  ,mterror,[mbOK], 0);
  abort;
end;

If Edit2.text = '' then
begin
 MessageDlg('Digite o mes ! '
  ,mterror,[mbOK], 0);
  abort;
end;

If Edit3.text = '' then
begin
 MessageDlg('Digite o ano ! '
  ,mterror,[mbOK], 0);
  abort;
end;

If Edit4.text = '' then
begin
 MessageDlg('Digite o valor do Pro-Labore ! '
  ,mterror,[mbOK], 0);
  abort;
end;

ProLabTbl.Open;
If ProLabTbl.Findkey([StrToInt(Edit1.Text),StrToInt(Edit2.Text),StrToInt(Edit3.Text)])
then ProLabTbl.GotoKey else  ProLabTbl.Insert;
ProLabTbl.Edit;
ProLabTblNumero.value:=StrToInt(Edit1.text);
ProLabTblMes.value:=StrToInt(Edit2.text);
ProLabTblAno.value:=StrToInt(Edit3.text);
ProLabTblValor.value:=StrToInt(Edit4.text);

ProLabTbl.Post;

Cancelarclick(sender);
Query1.Close;
Query1.Open;
end;


procedure TPropForm.FormActivate(Sender: TObject);
begin
DBGrid1.SetFocus;
end;

procedure TPropForm.PropTblBeforePost(DataSet: TDataset);
begin
Query1.Close;
Query1.Open;
end;

end.
